#
# spec file for package python-puka
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-puka
Version:        0.0.6
Release:        3.2
Url:            http://github.com/majek/puka#readme
Summary:        Opinionated RabbitMQ client
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/p/puka/puka-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Puka is yet-another Python client library for RabbitMQ. But as opposed
to similar libraries, it does not try to expose a generic AMQP
API. Instead, it takes an opinionated view on how the user should
interact with RabbitMQ.

%prep
%setup -q -n puka-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sun Feb 17 2013 matwey.kornilov@gmail.com
- Version 0.0.6
* Sun Aug 26 2012 matwey.kornilov@gmail.com
- Version 0.0.5
* Tue Apr 10 2012 saschpe@suse.de
- Macro cleanup
- Package LICENSE and README.md
- CFLAGS isn't necessary, there are no C modules contained
* Tue Apr 10 2012 matwey.kornilov@gmail.com
- Initial version 0.0.4
